> For the complete documentation index, see [llms.txt](https://apidocs.onekeypayments.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/transactional-account-endpoint.md).

# Transactional Account Endpoint

{% hint style="info" %}
To get a brief summary of the flow of this endpoint, [you can check it here](/api-documentation/deposits-api/endpoints/transactional-account-endpoint/understanding-the-solution.md)
{% endhint %}

{% hint style="warning" %}
Before utilizing any of our APIs, you should contact your responsible account manager, with your company's name and CNPJ so we can make the necessary configurations for you to proceed.
{% endhint %}

## Move balance between accounts

<mark style="color:green;">`POST`</mark> `https://api-stg.onekeypayments.com/v1/wallet/transaction`\
\
Allows you to move a specific amount between your proprietary accounts, and transactional account

**Headers**\
\
You can check how the [headers and signature are calculated here.](/api-documentation/deposits-api/technical-and-security-aspects.md)<br>

<table><thead><tr><th width="227">Name</th><th width="115">Type</th><th>Description</th></tr></thead><tbody><tr><td>Content-Type</td><td>string</td><td><code>application/json</code></td></tr><tr><td>X-Date</td><td>string</td><td>ISO8601 Datetime with Timezone: <code>yyyy-MM-dd'T'HH:mm:ssZ</code></td></tr><tr><td>X-Login</td><td>string</td><td>Merchant X-Login API Key</td></tr><tr><td>Authorization</td><td>string</td><td>Authorization control hash</td></tr><tr><td>X-Idempotency-Key</td><td>string</td><td>Unique idempotency key</td></tr></tbody></table>

**Example Request:**

```json
{
  "source": "PROPRIETARY",
  "destination": "TRANSACTIONAL",
  "currency": "BRL",
  "amount": 100.00
}
```

**Example response:**

```json
{
  "currency": "BRL",
  "proprietary_balance": 100.00,
  "transactional_balance": 100.00
}
```

In this example, we've moved 100.1 BRL from our OWNER account to our TRANSACTIONAL account.

## Get Balance

<mark style="color:blue;">`GET`</mark> `https://api-stg.onekeypayments.com/v1/wallet/balance`\
\
Allows you to check your total balance between accounts.\
\
**Example of successful response:**

```json
{
    "balances": [
        {
            "amount": 200.00,
            "currency": "BRL",
            "type": "PROPRIETARY"
        },
        {
            "amount": 222.00,
            "currency": "BRL",
            "type": "TRANSACTIONAL"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/transactional-account-endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
